module.exports = {
  apps: [
    {
      name: 'codeflow', // 应用名称
      script: './dist/app.mjs', // 入口文件
      // cwd: '.', // 设置当前工作目录
      output: './logs/codflow.log',
      error: './logs/codflow.log',
      log_date_format: 'YYYY-MM-DD HH:mm:ss',
      // watch: true, // 自动监控文件变化
      watch: ['dist'], // 监控的文件夹
      ignore_watch: ['node_modules', 'logs'], // 忽略的文件夹
      env: {
        NODE_ENV: 'development'
      }
    }
  ]
}
